Bug 87894 - "Select all" doesn't select objects that are anchored to the first or last paragraph
Summary: "Select all" doesn't select objects that are anchored to the first or last pa...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 88142 88736 (view as bug list)
Depends on:
Blocks: Object
  Show dependency treegraph
 
Reported: 2014-12-31 08:27 UTC by Abinesh S
Modified: 2022-09-15 03:46 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Drag and drop the draw functions (124.26 KB, image/jpeg)
2015-01-05 17:21 UTC, Abinesh S
Details
press ctrl+A for selecting all the objects (18.80 KB, application/vnd.oasis.opendocument.text)
2015-01-05 18:49 UTC, Abinesh S
Details
Additional example (293.00 KB, application/3dr)
2017-02-11 14:39 UTC, Telesto
Details
Additional example (293.02 KB, application/vnd.oasis.opendocument.text)
2017-02-11 14:55 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Abinesh S 2014-12-31 08:27:30 UTC
Steps to Reproduce:

1. Insert more than one objects in a page.
2. Attempting to select all those objects by pressing shortcut key Ctrl + A      (Select All).
3.But, the shortcut key Ctrl+A (Select All) is does not work for selecting the objects. 

Actual Result:
Does not select all the objects when pressing Ctrl + A

Expected Result:
Should select all the objects when pressing Ctrl + A (Select All).
Comment 1 tommy27 2014-12-31 09:05:33 UTC
please upload a test file with objects that doesn't get selected using the Ctrl+A shortcut
Comment 2 Abinesh S 2014-12-31 10:31:58 UTC
how could i upload test file for this ? Its come to know only by doing practical. right ?
Comment 3 tommy27 2014-12-31 10:40:30 UTC
you can upload the test file using the "Add an attachment" link.

you should save a file with "objects" that you are unable to select using that shortcut.

we need to understand what kind on "objects" you are talking about (images, tables, frames etc. etc.) in order to correctly reproduce your bug
Comment 4 Abinesh S 2015-01-05 17:21:56 UTC
Created attachment 111773 [details]
Drag and drop the draw functions

1) drag and drop the draw functions or from gallery. 
2) try to select the inserted objects by pressing Ctrl + A (Select All).
Comment 5 tommy27 2015-01-05 17:41:19 UTC
why not uploading the rea
Comment 6 Abinesh S 2015-01-05 17:49:10 UTC
it is the result file.
Comment 7 tommy27 2015-01-05 18:28:44 UTC
I mean why not uploading the real file instead of a screenshot?
we need exactly your same scenario
Comment 8 Abinesh S 2015-01-05 18:49:39 UTC
Created attachment 111775 [details]
press ctrl+A for selecting all the objects
Comment 9 tommy27 2015-01-05 20:29:59 UTC
Ok, now I understand what's happening.

the "select all" shortcut doesn't select anything if the cursor position is on the first line before the objects.

if the cursor is below the objects, then the lines above the objects and the objects get selected.

I see this issue in LibO 4.3.5.2 and AOO 4.1.0 and OOo 3.3.0 as well.
so the problem is inherited from OOo
Comment 10 tommy27 2015-01-05 20:33:59 UTC
status -> NEW
version -> inherited from OOo
edited summary notes
added Writer developer to CC list.
Comment 11 Gordo 2015-05-04 16:03:28 UTC
A more accurate description of the problem is that Select All does not select an object if it is anchored to the first or last paragraph or to the page.

1. New Text Document.
2. Insert -> Shapes -> Rectangle and draw one.
3. Select All (Ctrl + a) and Cut (Ctrl + x).
Result:
Object does not get selected or cut.
4. Enter some empty paragraphs.
5. Place cursor on last paragraph.
6. Select All (Ctrl + a) and Cut (Ctrl + x).
Result:
Object does not get selected or cut.
7. Undo Cut.
8. Select object and move anchor to another paragraph (not the end).
9. Place cursor on first paragraph.
10. Select All (Ctrl + a) and Cut (Ctrl + x).
Result:
Object gets selected and cut.
11. Undo Cut.
12. Place cursor on last paragraph.
13. Select All (Ctrl + a) and Cut (Ctrl + x).
Result:
Object gets selected and cut.
14. Undo Cut.
15. Select object and move anchor to the last paragraph.
16. Place cursor on first paragraph.
17. Select All (Ctrl + a) and Cut (Ctrl + x).
Result:
Object does not get selected or cut.
18. Undo Cut.
19. Place cursor on last paragraph.
20. Select All (Ctrl + a) and Cut (Ctrl + x).
Result:
Object does not get selected or cut.

Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Comment 12 Gordo 2015-05-05 15:50:30 UTC
*** Bug 88142 has been marked as a duplicate of this bug. ***
Comment 13 Gordo 2015-05-12 00:15:34 UTC
*** Bug 88736 has been marked as a duplicate of this bug. ***
Comment 14 QA Administrators 2016-09-20 09:42:30 UTC Comment hidden (obsolete)
Comment 15 Telesto 2017-02-11 14:39:46 UTC
Created attachment 131100 [details]
Additional example

Still a repro with:
Version: 5.4.0.0.alpha0+
Build ID: a296a69c984b17cfbcd249cf6bdc191d08dff2a6
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-02-06_00:00:55
Locale: nl-NL (nl_NL); Calc: CL
Comment 16 Telesto 2017-02-11 14:55:05 UTC
Created attachment 131101 [details]
Additional example

Small correction
Comment 17 QA Administrators 2018-06-22 02:49:24 UTC Comment hidden (obsolete)
Comment 18 QA Administrators 2020-06-22 03:38:55 UTC Comment hidden (obsolete)
Comment 19 Michael Stahl (allotropia) 2020-06-29 13:37:36 UTC
for "at character" and "at paragraph" anchors this is fixed with commit 28b77c89dfcafae82cf2a6d85731b643ff9290e5 "tdf#117185 tdf#110442 sw: bring harmony & peace to fly at-char selection" and commit 91b2325808a75174f284c48c8b8afc118fad74e4 "tdf#121300 sw: consistent fly at-pargraph selection".
Comment 20 andreas_k 2020-09-08 14:09:12 UTC
so can this bug report be closed?
Comment 21 Michael Stahl (allotropia) 2020-09-14 10:18:51 UTC
(In reply to andreas_k from comment #20)
> so can this bug report be closed?

good question ... the remaining anchor type that could be problematic is fly-at-fly, i.e. "To Frame".

i haven't done any testing of how that works currently and haven't changed anything with it.
Comment 22 QA Administrators 2022-09-15 03:46:53 UTC
Dear Abinesh S,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug